#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <3ds.h>

int main()
{
	gfxInitDefault();
	gfxSet3D(false);

	PrintConsole topConsole, bttmConsole;
	consoleInit(GFX_TOP, &topConsole);
	consoleInit(GFX_BOTTOM, &bttmConsole);

	consoleSelect(&topConsole);
	consoleClear();

	u32 cur_processid = 0;
	FS_ProductInfo cur_productinfo;
	
	printf("\x1b[0;%dHinfo_gopher", (50 - 11) / 2);
	printf("\x1b[1;%dHby people and gophers\n\n\n", (50 - 21) / 2);
	
	Result ret = svcGetProcessId(&cur_processid, 0xffff8001);
	if(ret<0)
	{
		printf("processID error: %08X", (unsigned int)ret);
	}

	ret = FSUSER_GetProductInfo(NULL, cur_processid, &cur_productinfo);
	if(ret<0)
	{
		printf("ProductInfo error: %08X", (unsigned int)ret);
	}
	
	printf("Product code: %s\n",cur_productinfo.product_code);
	printf("Company code: %.2s\n",cur_productinfo.company_code);
	printf("Version code: 0x%X\n",cur_productinfo.remaster_version);
	
	printf("\n");
	printf("Press start to exit");
	printf("\n");

	while (aptMainLoop())
	{
		hidScanInput();
		if(hidKeysDown() & KEY_START)break;

		gspWaitForVBlank();
	}

	gfxExit();
	return 0;
}